<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CorpProductData](./bitburner.corpproductdata.md)

## CorpProductData interface

Product rating information

**Signature:**

```typescript
interface CorpProductData 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [desc](./bitburner.corpproductdata.desc.md) |  | string | Description of product creation |
|  [name](./bitburner.corpproductdata.name.md) |  | string | Name of the product |
|  [ratingWeights](./bitburner.corpproductdata.ratingweights.md) |  | { aesthetics?: number; durability?: number; features?: number; quality?: number; performance?: number; reliability?: number; } | Weighting factors for product |
|  [verb](./bitburner.corpproductdata.verb.md) |  | string | Verb used to describe creation of the product |

